# Generated by Django 2.2.16 on 2020-09-26 03:56

from django.db import migrations
from django.utils.text import slugify


def populate_college_slug(apps, schema_editor):
    College = apps.get_model("colleges.College")

    for c in College.objects.all():
        c.slug = slugify(c.name.partition("(")[0].strip())
        c.save()


class Migration(migrations.Migration):

    dependencies = [
        ("colleges", "0024_college_slug"),
    ]

    operations = [
        migrations.RunPython(
            populate_college_slug, reverse_code=migrations.RunPython.noop
        ),
    ]
