# Generated by Django 3.2.5 on 2022-01-28 15:35

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ("profiles", "0035_alter_profile_title"),
        ("scipost", "0040_auto_20210310_2026"),
        ("colleges", "0030_auto_20210326_1502"),
    ]

    operations = [
        migrations.CreateModel(
            name="FellowshipNomination",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "nominated_on",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                (
                    "college",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="nominations",
                        to="colleges.college",
                    ),
                ),
                (
                    "fellowship",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="nomination",
                        to="colleges.fellowship",
                    ),
                ),
                (
                    "nominated_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fellowship_nominations_initiated",
                        to="scipost.contributor",
                    ),
                ),
                (
                    "profile",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fellowship_nominations",
                        to="profiles.profile",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Fellowship Nominations",
                "ordering": ["profile", "college"],
            },
        ),
        migrations.CreateModel(
            name="FellowshipNominationVotingRound",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("voting_opens", models.DateTimeField()),
                ("voting_deadline", models.DateTimeField()),
                (
                    "eligible_to_vote",
                    models.ManyToManyField(
                        blank=True,
                        related_name="voting_rounds_eligible_to_vote_in",
                        to="colleges.Fellowship",
                    ),
                ),
                (
                    "nomination",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="voting_rounds",
                        to="colleges.fellowshipnomination",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Fellowship Nomination Voting Rounds",
                "ordering": ["nomination__profile__last_name"],
            },
        ),
        migrations.CreateModel(
            name="FellowshipNominationVote",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "vote",
                    models.CharField(
                        choices=[
                            ("agree", "Agree"),
                            ("abstain", "Abstain"),
                            ("disagree", "Disagree"),
                        ],
                        max_length=16,
                    ),
                ),
                ("on", models.DateTimeField(blank=True, null=True)),
                ("comments", models.TextField(blank=True)),
                (
                    "fellow",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fellowship_nomination_votes",
                        to="colleges.fellowship",
                    ),
                ),
                (
                    "voting_round",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="votes",
                        to="colleges.fellowshipnominationvotinground",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Fellowship Nomination Votes",
                "ordering": ["voting_round"],
            },
        ),
        migrations.CreateModel(
            name="FellowshipNominationEvent",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("description", models.TextField()),
                ("on", models.DateTimeField(default=django.utils.timezone.now)),
                (
                    "nomination",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="events",
                        to="colleges.fellowshipnomination",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Fellowhips Nomination Events",
                "ordering": ["-on"],
            },
        ),
        migrations.CreateModel(
            name="FellowshipNominationDecision",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "outcome",
                    models.CharField(
                        choices=[("elected", "Elected"), ("notelected", "Not elected")],
                        max_length=16,
                    ),
                ),
                ("fixed_on", models.DateTimeField(default=django.utils.timezone.now)),
                (
                    "nomination",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="decision",
                        to="colleges.fellowshipnomination",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Fellowship Nomination Decisions",
                "ordering": ["nomination"],
            },
        ),
        migrations.CreateModel(
            name="FellowshipInvitation",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("invited_on", models.DateTimeField(blank=True, null=True)),
                (
                    "response",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("notyetinvited", "Not yet invited"),
                            ("invited", "Invited"),
                            ("reinvited", "Reinvited"),
                            ("multireinvited", "Multiply reinvited"),
                            ("unresponsive", "Unresponsive"),
                            ("accepted", "Accepted, for immediate start"),
                            ("postponed", "Accepted, but start date postponed"),
                            ("declined", "Declined"),
                        ],
                        max_length=16,
                    ),
                ),
                ("postpone_start_to", models.DateField(blank=True)),
                (
                    "nomination",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="invitation",
                        to="colleges.fellowshipnomination",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Fellowship Invitations",
                "ordering": ["nomination"],
            },
        ),
    ]
