# Generated by Django 2.1.8 on 2019-09-21 17:17

from django.db import migrations, models
import scipost.fields


def domains_to_approaches(apps, schema_editor):
    Commentary = apps.get_model("commentaries.Commentary")

    for commentary in Commentary.objects.filter(domain__contains="E"):
        if commentary.approaches:
            commentary.approaches.append("experimental")
        else:
            commentary.approaches = ("experimental",)
        commentary.save()
    for commentary in Commentary.objects.filter(domain__contains="T"):
        if commentary.approaches:
            commentary.approaches.append("theoretical")
        else:
            commentary.approaches = ("theoretical",)
        commentary.save()
    for commentary in Commentary.objects.filter(domain__contains="C"):
        if commentary.approaches:
            commentary.approaches.append("computational")
        else:
            commentary.approaches = ("computational",)
        commentary.save()


class Migration(migrations.Migration):

    dependencies = [
        ("commentaries", "0006_auto_20190522_1120"),
    ]

    operations = [
        migrations.AddField(
            model_name="commentary",
            name="approaches",
            field=scipost.fields.ChoiceArrayField(
                base_field=models.CharField(
                    choices=[
                        ("theoretical", "Theoretical"),
                        ("experimental", "Experimental"),
                        ("computational", "Computational"),
                        ("phenomenological", "Phenomenological"),
                        ("observational", "Observational"),
                        ("clinical", "Clinical"),
                    ],
                    max_length=24,
                ),
                blank=True,
                null=True,
                size=None,
                verbose_name="approach(es) [optional]",
            ),
        ),
        migrations.RunPython(
            domains_to_approaches, reverse_code=migrations.RunPython.noop
        ),
    ]
